Generation Framework

## org.eclipse.gmf.mappings
Interface FeatureLabelMapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LabelMapping, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FeatureLabelMappingImpl

    public interface FeatureLabelMapping

extends LabelMapping

A representation of the model object 'Feature Label Mapping'. Label based on feature(s) from domain model

The following features are supported:

- `Features`
- `View Pattern`
- `Editor Pattern`
- `Edit Pattern`
- `View Method`
- `Edit Method`

See Also:
  `GMFMapPackage.getFeatureLabelMapping()`
** Generated **
Model:

Method Summary
`LabelTextAccessMethod` `getEditMethod()` Returns the value of the 'Edit Method' attribute.
`java.lang.String` `getEditorPattern()` Returns the value of the 'Editor Pattern' attribute
`java.lang.String` `getEditPattern()` Returns the value of the 'Edit Pattern' attribute
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute>` `getFeatures()` Returns the value of the 'Features' reference list.
`LabelTextAccessMethod` `getViewMethod()` Returns the value of the 'View Method' attribute.
`java.lang.String` `getViewPattern()` Returns the value of the 'View Pattern' attribute
`void` `setEditMethod(LabelTextAccessMethod value)` Sets the value of the '`Edit Method`' attribute
`void` `setEditorPattern(java.lang.String value)` Sets the value of the '`Editor Pattern`' attribute
`void` `setEditPattern(java.lang.String value)` Sets the value of the '`Edit Pattern`' attribute
`void` `setViewMethod(LabelTextAccessMethod value)` Sets the value of the '`View Method`' attribute
`void` `setViewPattern(java.lang.String value)` Sets the value of the '`View Pattern`' attribute

Methods inherited from interface org.eclipse.gmf.mappings.LabelMapping
`getDiagramLabel, getMapEntry, isReadOnly, setDiagramLabel, setReadOnly`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeatures

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EAttribute> getFeatures()

  Returns the value of the 'Features' reference list. The list contents are of type `EAttribute`.

  If the meaning of the 'Features' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Features' reference list.
  See Also:
    `GMFMapPackage.getFeatureLabelMapping_Features()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='features->forAll(f | f.eContainingClass.isSuperTypeOf(mapEntry.domainMetaElement))' description='Label attributes must be available in \'Domain Element\' EClass of the labeled mapping entry'"

### getViewPattern

    java.lang.String getViewPattern()

  Returns the value of the 'View Pattern' attribute. Pattern to produce label on diagram, depends on view method

  Returns:
    the value of the 'View Pattern' attribute.
  See Also:
    `setViewPattern(String)`, `GMFMapPackage.getFeatureLabelMapping_ViewPattern()`
  ** Generated **
  Model:

### setViewPattern

    void setViewPattern(java.lang.String value)

  Sets the value of the '`View Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'View Pattern' attribute.
  See Also:
    `getViewPattern()`
  ** Generated **

### getEditorPattern

    java.lang.String getEditorPattern()

  Returns the value of the 'Editor Pattern' attribute. Pattern to produce text for inplace editor, depends on view method; if not specified then viewPattern should be used

  Returns:
    the value of the 'Editor Pattern' attribute.
  See Also:
    `setEditorPattern(String)`, `GMFMapPackage.getFeatureLabelMapping_EditorPattern()`
  ** Generated **
  Model:

### setEditorPattern

    void setEditorPattern(java.lang.String value)

  Sets the value of the '`Editor Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'Editor Pattern' attribute.
  See Also:
    `getEditorPattern()`
  ** Generated **

### getViewMethod

    LabelTextAccessMethod getViewMethod()

  Returns the value of the 'View Method' attribute. The literals are from the enumeration `LabelTextAccessMethod`.

  If the meaning of the 'View Method' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `setViewMethod(LabelTextAccessMethod)`, `GMFMapPackage.getFeatureLabelMapping_ViewMethod()`
  ** Generated **
  Model:

### setViewMethod

    void setViewMethod(LabelTextAccessMethod value)

  Sets the value of the '`View Method`' attribute.

  Parameters:
    `value` - the new value of the 'View Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `getViewMethod()`
  ** Generated **

### getEditPattern

    java.lang.String getEditPattern()

  Returns the value of the 'Edit Pattern' attribute. Pattern to extract values from input text, depends on edit method; if not specified then viewPattern should be used

  Returns:
    the value of the 'Edit Pattern' attribute.
  See Also:
    `setEditPattern(String)`, `GMFMapPackage.getFeatureLabelMapping_EditPattern()`
  ** Generated **
  Model:

### setEditPattern

    void setEditPattern(java.lang.String value)

  Sets the value of the '`Edit Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Pattern' attribute.
  See Also:
    `getEditPattern()`
  ** Generated **

### getEditMethod

    LabelTextAccessMethod getEditMethod()

  Returns the value of the 'Edit Method' attribute. The literals are from the enumeration `LabelTextAccessMethod`.

  If the meaning of the 'Edit Method' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `setEditMethod(LabelTextAccessMethod)`, `GMFMapPackage.getFeatureLabelMapping_EditMethod()`
  ** Generated **
  Model:

### setEditMethod

    void setEditMethod(LabelTextAccessMethod value)

  Sets the value of the '`Edit Method`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `getEditMethod()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.